/*---------------------------------------------------------------------------
:  Header file:   mgr.h
:  Dependencies:  none 
:
:  This file contains definitions needed by the simulation manager.
---------------------------------------------------------------------------*/

#define  PROMPT     ">>> "
#define  MGR_LOG_FILENAME  "log.m"

/*---------------------------------------------------------------------------
:  Define the interactive commands
---------------------------------------------------------------------------*/

typedef  char  command_type;
typedef  char  command_string[10];

#define  HELP                 'h'
#define  STOP_SIMULATION      's'
#define  RECOVER_SITE         'r'
#define  FAIL_SITE            'f'
#define  DUMP_SITE_INFO       'd'
#define  OUTPUT_CUR_INFO      'o' 
#define  SUMMARIZE_INFO       'u'
#define  SEND_TRANSACTION     'x' 
#define  SEND_MULTIPLE_XACTS  'm'
#define  SEND_UNTIL_CLEAR     'g'
#define  CHECK_CHILDREN       'c'
#define  SEND_ALLOW_RECOVERY  'a'
#define  BUILD_OWN_TRANSACTION 'b'
   
#define  SET_FAIL_HELP      'H'
#define  SET_FAIL_NOW       'N'
#define  SET_FAIL_UPD_RECV  'R'
#define  SET_FAIL_UPD_SEND  'S'

#define  YES  'y'
#define  NO   'n'

/*---------------------------------------------------------------------------
:  Define filename for use in execl call to start up a site
---------------------------------------------------------------------------*/

#define  DB_SITE_FILE  "dbsite"
#define  DB_SITE_PROGRAM   "dbsite"

/*---------------------------------------------------------------------------
:  Define global simulation control variables
---------------------------------------------------------------------------*/

int  num_xact_operations , num_db_items;

/*---------------------------------------------------------------------------
:  End of simulation manager definitions
---------------------------------------------------------------------------*/
