/*---------------------------------------------------------------------------
:  This file contains utility procedures for timing code execution.  Note
:  that the times may not be accurate to the microsecond level.  Documentation
:  for the Sequent computer suggests it is accurate to ten milliseconds.
---------------------------------------------------------------------------*/

/*---------------------------------------------------------------------------
:  Header files and parameter definitions
---------------------------------------------------------------------------*/

#  include  <stdio.h>
#  include  <sys/time.h>

#  define  OUTPUT           1     /* yes = 1 , no = 0 */

struct timeval  start_time , stop_time;

/*---------------------------------------------------------------------------
:  Start timing
---------------------------------------------------------------------------*/

start_timing ( comment )
   char *comment;
{
   if (OUTPUT)  printf ("Start timing %s\n" , comment);
   gettimeofday (&start_time , NULL);
   return (0);
}

/*---------------------------------------------------------------------------
:  Determine the elapsed time
---------------------------------------------------------------------------*/

stop_timing () 
{
#  define  BORROWED_MICROSECS  1000000
   long elapsed_secs , elapsed_usecs;

   gettimeofday (&stop_time , NULL);
   elapsed_secs = stop_time.tv_sec - start_time.tv_sec;
   elapsed_usecs = stop_time.tv_usec - start_time.tv_usec;
   if (start_time.tv_usec > stop_time.tv_usec) {
      elapsed_secs --;
      elapsed_usecs += BORROWED_MICROSECS;
   }
   if (OUTPUT)  printf ("Stop timing:  %d.%6.6d seconds\n" , 
			 elapsed_secs , elapsed_usecs);

   return (0);
}
